searchNodes=[{"doc":"Handles t/0 responses. Inspired by Rust std::result::Result package.","ref":"OnePiece.Result.html","title":"OnePiece.Result","type":"module"},{"doc":"Do an and with a err/0 . When passing any ok/0 result, it returns the first ok/0 value. Otherwise, when passing two err/0 results, then returns the second err/0 . iex&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . and_err ( OnePiece.Result . ok ( 42 ) ) { :ok , 21 } iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . and_err ( OnePiece.Result . err ( &quot;something went wrong&quot; ) ) { :ok , 42 } iex&gt; &quot;something went wrong&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . and_err ( OnePiece.Result . ok ( 42 ) ) { :ok , 42 } iex&gt; &quot;something went wrong&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . and_err ( OnePiece.Result . err ( &quot;late error&quot; ) ) { :error , &quot;late error&quot; }","ref":"OnePiece.Result.html#and_err/2","title":"OnePiece.Result.and_err/2","type":"function"},{"doc":"Do an and with a ok/0 . When passing two ok/0 result, it returns the second ok/0 value. When a ok/0 and a err/0 result, then returns the err/0 . Otherwise, when passing two err/0 result, it returns the earliest err/0 . iex&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . and_ok ( OnePiece.Result . ok ( 42 ) ) { :ok , 42 } iex&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . and_ok ( OnePiece.Result . err ( &quot;something went wrong&quot; ) ) { :error , &quot;something went wrong&quot; } iex&gt; &quot;something went wrong&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . and_ok ( OnePiece.Result . ok ( 42 ) ) { :error , &quot;something went wrong&quot; } iex&gt; &quot;something went wrong&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . and_ok ( OnePiece.Result . err ( &quot;late error&quot; ) ) { :error , &quot;something went wrong&quot; }","ref":"OnePiece.Result.html#and_ok/2","title":"OnePiece.Result.and_ok/2","type":"function"},{"doc":"Iterate over t/0 list unwrapping the ok/0 values. It fails at the first err/0 . iex&gt; OnePiece.Result . collect ( [ ...&gt; OnePiece.Result . ok ( 21 ) , ...&gt; OnePiece.Result . ok ( 42 ) , ...&gt; OnePiece.Result . ok ( 84 ) , ...&gt; ] ) { :ok , [ 21 , 42 , 84 ] } iex&gt; OnePiece.Result . collect ( [ ...&gt; OnePiece.Result . ok ( 21 ) , ...&gt; OnePiece.Result . err ( &quot;oops&quot; ) , ...&gt; OnePiece.Result . ok ( 84 ) , ...&gt; ] ) { :error , &quot;oops&quot; }","ref":"OnePiece.Result.html#collect/1","title":"OnePiece.Result.collect/1","type":"function"},{"doc":"Returns true if the err/0 result contains the given value. iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . contains_err? ( &quot;oops&quot; ) true iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . contains_err? ( &quot;nop&quot; ) false iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . contains_err? ( &quot;ops&quot; ) false","ref":"OnePiece.Result.html#contains_err?/2","title":"OnePiece.Result.contains_err?/2","type":"function"},{"doc":"Returns true if the ok/0 result contains the given value. iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . contains_ok? ( 42 ) true iex&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . contains_ok? ( 42 ) false iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . contains_ok? ( 42 ) false","ref":"OnePiece.Result.html#contains_ok?/2","title":"OnePiece.Result.contains_ok?/2","type":"function"},{"doc":"Wraps a value into an err/0 result. iex&gt; OnePiece.Result . err ( &quot;oops&quot; ) { :error , &quot;oops&quot; }","ref":"OnePiece.Result.html#err/1","title":"OnePiece.Result.err/1","type":"function"},{"doc":"Returns the contained ok/0 value, or raise an exception with the given error message. iex&gt; try do ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . expect_err! ( &quot;expected a oops&quot; ) ...&gt; rescue ...&gt; e -&gt; e . message ...&gt; end &quot;expected a oops&quot; iex&gt; try do ...&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . expect_err! ( &quot;expected a oops&quot; ) ...&gt; rescue ...&gt; _ -&gt; &quot;was a unwrap failure&quot; ...&gt; end &quot;oops&quot;","ref":"OnePiece.Result.html#expect_err!/2","title":"OnePiece.Result.expect_err!/2","type":"function"},{"doc":"Returns the contained ok/0 value, or raise an exception with the given error message. iex&gt; try do ...&gt; 21 ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . expect_ok! ( &quot;expected 42&quot; ) ...&gt; rescue ...&gt; e -&gt; e . message ...&gt; end &quot;expected 42&quot; iex&gt; try do ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . expect_ok! ( &quot;expected 42&quot; ) ...&gt; rescue ...&gt; _ -&gt; &quot;was a unwrap failure&quot; ...&gt; end 42","ref":"OnePiece.Result.html#expect_ok!/2","title":"OnePiece.Result.expect_ok!/2","type":"function"},{"doc":"Converts from a nested t/0 to flatten t/0 . iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . flatten ( ) { :ok , 42 } iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . flatten ( ) { :error , { :ok , 42 } } iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . flatten ( ) { :error , &quot;oops&quot; } iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . flatten ( ) { :error , { :error , &quot;oops&quot; } }","ref":"OnePiece.Result.html#flatten/1","title":"OnePiece.Result.flatten/1","type":"function"},{"doc":"Returns true if the argument is an err/0 . iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . is_err? ( ) false iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . is_err? ( ) true","ref":"OnePiece.Result.html#is_err?/1","title":"OnePiece.Result.is_err?/1","type":"function"},{"doc":"Returns true if the result is err/0 and the value inside of it matches a predicate. iex&gt; is_not_found = fn err -&gt; err == :not_found end ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . is_err_and? ( is_not_found ) false iex&gt; is_not_found = fn err -&gt; err == :not_found end ...&gt; :not_found ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . is_err_and? ( is_not_found ) true","ref":"OnePiece.Result.html#is_err_and?/2","title":"OnePiece.Result.is_err_and?/2","type":"function"},{"doc":"Is valid if and only if an err/0 is supplied. iex&gt; check = fn ...&gt; val when OnePiece.Result . is_err_result ( val ) -&gt; true ...&gt; _ -&gt; false ...&gt; end ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; check . ( ) false iex&gt; check = fn ...&gt; val when OnePiece.Result . is_err_result ( val ) -&gt; true ...&gt; _ -&gt; false ...&gt; end ...&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; check . ( ) true","ref":"OnePiece.Result.html#is_err_result/1","title":"OnePiece.Result.is_err_result/1","type":"macro"},{"doc":"Returns true if the argument is a ok/0 . iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . is_ok? ( ) true iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . is_ok? ( ) false","ref":"OnePiece.Result.html#is_ok?/1","title":"OnePiece.Result.is_ok?/1","type":"function"},{"doc":"Returns true if the result is ok/0 and the value inside of it matches a predicate. iex&gt; is_meaning_of_life = fn x -&gt; x == 42 end ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . is_ok_and? ( is_meaning_of_life ) true iex&gt; is_meaning_of_life = fn x -&gt; x == 42 end ...&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . is_ok_and? ( is_meaning_of_life ) false","ref":"OnePiece.Result.html#is_ok_and?/2","title":"OnePiece.Result.is_ok_and?/2","type":"function"},{"doc":"Is valid if and only if an ok/0 is supplied. iex&gt; check = fn ...&gt; val when OnePiece.Result . is_ok_result ( val ) -&gt; true ...&gt; _ -&gt; false ...&gt; end ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; check . ( ) true iex&gt; check = fn ...&gt; val when OnePiece.Result . is_ok_result ( val ) -&gt; true ...&gt; _ -&gt; false ...&gt; end ...&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; check . ( ) false","ref":"OnePiece.Result.html#is_ok_result/1","title":"OnePiece.Result.is_ok_result/1","type":"macro"},{"doc":"When the value contained in an err/0 result then applies a function or returns the mapped value, wrapping the returning value in a err/0 , propagating the ok/0 result as it is. Avoid Wrapping If you want to avoid the wrap then use OnePiece.Result.when_err/2 instead. iex&gt; 21 ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . map_err ( &quot;must be 42&quot; ) { :error , &quot;must be 42&quot; } iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . map_err ( &quot;must be 42&quot; ) { :ok , 42 } You can also pass a function to achieve lazy evaluation: iex&gt; meaning_of_life = fn x -&gt; &quot;must be 42 instead of \#{ x } &quot; end ...&gt; 21 ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . map_err ( meaning_of_life ) { :error , &quot;must be 42 instead of 21&quot; }","ref":"OnePiece.Result.html#map_err/2","title":"OnePiece.Result.map_err/2","type":"function"},{"doc":"When the value contained in an ok/0 result then applies a function or returns the mapped value, wrapping the returning value in a ok/0 , propagating the err/0 result as it is. Avoid Wrapping If you want to avoid the wrap then use OnePiece.Result.when_ok/2 instead. iex&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . map_ok ( 42 ) { :ok , 42 } iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . map_ok ( 42 ) { :error , &quot;oops&quot; } You can also pass a function to achieve lazy evaluation: iex&gt; meaning_of_life = fn x -&gt; x * 2 end ...&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . map_ok ( meaning_of_life ) { :ok , 42 }","ref":"OnePiece.Result.html#map_ok/2","title":"OnePiece.Result.map_ok/2","type":"function"},{"doc":"Applies a on_ok function to the contained value if ok/0 otherwise applies a on_err function or return the on_err value if err/0 . iex&gt; meaning_of_life = fn x -&gt; x * 2 end ...&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . map_ok_or ( meaning_of_life , 84 ) 42 iex&gt; meaning_of_life = fn x -&gt; x * 2 end ...&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . map_ok_or ( meaning_of_life , 84 ) 84 Lazy Evaluation It is recommended to pass a function as the default value, which is lazily evaluated. iex&gt; meaning_of_life = fn x -&gt; x * 2 end ...&gt; went_wrong = fn reason -&gt; &quot;something went wrong because \#{ reason } &quot; end ...&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . map_ok_or ( meaning_of_life , went_wrong ) 42 iex&gt; meaning_of_life = fn x -&gt; x * 2 end ...&gt; went_wrong = fn reason -&gt; &quot;something went wrong because \#{ reason } &quot; end ...&gt; &quot;a sleepy bear&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . map_ok_or ( meaning_of_life , went_wrong ) &quot;something went wrong because a sleepy bear&quot;","ref":"OnePiece.Result.html#map_ok_or/3","title":"OnePiece.Result.map_ok_or/3","type":"function"},{"doc":"Wraps a value into an ok/0 result. iex&gt; OnePiece.Result . ok ( 42 ) { :ok , 42 }","ref":"OnePiece.Result.html#ok/1","title":"OnePiece.Result.ok/1","type":"function"},{"doc":"When nil is passed then calls the on_nil function and wrap the result into a err/0 . When t/0 is passed then returns it as it is. Otherwise, wraps the value into a ok/0 . iex&gt; OnePiece.Result . reject_nil ( nil , &quot;ooopps&quot; ) { :error , &quot;ooopps&quot; } iex&gt; OnePiece.Result . reject_nil ( 42 , &quot;ooopps&quot; ) { :ok , 42 } iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . reject_nil ( &quot;ooopps&quot; ) { :ok , 42 } iex&gt; &quot;my error&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . reject_nil ( &quot;ooopps&quot; ) { :error , &quot;my error&quot; } Lazy Evaluation It is recommended to pass a function as the default value, which is lazily evaluated. iex&gt; new_error = fn -&gt; &quot;ooops&quot; end ...&gt; OnePiece.Result . reject_nil ( nil , new_error ) { :error , &quot;ooops&quot; }","ref":"OnePiece.Result.html#reject_nil/2","title":"OnePiece.Result.reject_nil/2","type":"function"},{"doc":"Tap into err/0 results. iex&gt; failure_log = fn err -&gt; &quot;Failure because \#{ err } &quot; end ...&gt; &quot;ooopsy&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . tap_err ( failure_log ) { :error , &quot;ooopsy&quot; }","ref":"OnePiece.Result.html#tap_err/2","title":"OnePiece.Result.tap_err/2","type":"function"},{"doc":"Tap into ok/0 results. iex&gt; success_log = fn x -&gt; &quot;Success \#{ x } &quot; end ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . tap_ok ( success_log ) { :ok , 42 }","ref":"OnePiece.Result.html#tap_ok/2","title":"OnePiece.Result.tap_ok/2","type":"function"},{"doc":"Returns the contained ok/0 value or t:error/0 value from a t/0 . iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . unwrap ( ) 42 iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . unwrap ( ) &quot;oops&quot;","ref":"OnePiece.Result.html#unwrap/1","title":"OnePiece.Result.unwrap/1","type":"function"},{"doc":"Unwrap an err/0 result, or raise an exception. iex&gt; try do ...&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . unwrap_err! ( ) ...&gt; rescue ...&gt; OnePiece.Result.ErrUnwrapError -&gt; &quot;was a unwrap failure&quot; ...&gt; end &quot;oops&quot; iex&gt; try do ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . unwrap_err! ( ) ...&gt; rescue ...&gt; OnePiece.Result.ErrUnwrapError -&gt; &quot;was a unwrap failure&quot; ...&gt; end &quot;was a unwrap failure&quot;","ref":"OnePiece.Result.html#unwrap_err!/1","title":"OnePiece.Result.unwrap_err!/1","type":"function"},{"doc":"Returns the contained ok/0 value or a provided default. iex&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . unwrap_ok ( 21 ) 42 iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . unwrap_ok ( 21 ) 21 Lazy Evaluation It is recommended to pass a function as the default value, which is lazily evaluated. iex&gt; say_hello_world = fn _x -&gt; &quot;hello, world!&quot; end ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . unwrap_ok ( say_hello_world ) 42 iex&gt; say_hello_world = fn _x -&gt; &quot;hello, world!&quot; end ...&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . unwrap_ok ( say_hello_world ) &quot;hello, world!&quot;","ref":"OnePiece.Result.html#unwrap_ok/2","title":"OnePiece.Result.unwrap_ok/2","type":"function"},{"doc":"Unwrap an ok/0 result, or raise an exception. iex&gt; try do ...&gt; 42 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . unwrap_ok! ( ) ...&gt; rescue ...&gt; OnePiece.Result.OkUnwrapError -&gt; &quot;was a unwrap failure&quot; ...&gt; end 42 iex&gt; try do ...&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . unwrap_ok! ( ) ...&gt; rescue ...&gt; OnePiece.Result.OkUnwrapError -&gt; &quot;was a unwrap failure&quot; ...&gt; end &quot;was a unwrap failure&quot;","ref":"OnePiece.Result.html#unwrap_ok!/1","title":"OnePiece.Result.unwrap_ok!/1","type":"function"},{"doc":"Applies a function or returns the value if the result is err/0 , otherwise returns the ok/0 value. iex&gt; &quot;something wrong happened&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . when_err ( &quot;ooops&quot; ) &quot;ooops&quot; iex&gt; 2 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . when_err ( &quot;ooops&quot; ) { :ok , 2 } You can also pass a function to achieve lazy evaluation: iex&gt; failure = fn _error -&gt; &quot;lazy ooops&quot; end ...&gt; &quot;something wrong happened&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . when_err ( failure ) &quot;lazy ooops&quot;","ref":"OnePiece.Result.html#when_err/2","title":"OnePiece.Result.when_err/2","type":"function"},{"doc":"Applies a function or returns the value when a ok/0 is given, or propagates the error. iex&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . when_ok ( 42 ) 42 iex&gt; &quot;oops&quot; ...&gt; |&gt; OnePiece.Result . err ( ) ...&gt; |&gt; OnePiece.Result . when_ok ( 42 ) { :error , &quot;oops&quot; } You can also pass a function to achieve lazy evaluation: iex&gt; meaning_of_life = fn x -&gt; x * 2 end ...&gt; 21 ...&gt; |&gt; OnePiece.Result . ok ( ) ...&gt; |&gt; OnePiece.Result . when_ok ( meaning_of_life ) 42","ref":"OnePiece.Result.html#when_ok/2","title":"OnePiece.Result.when_ok/2","type":"function"},{"doc":"An Error result.","ref":"OnePiece.Result.html#t:err/0","title":"OnePiece.Result.err/0","type":"type"},{"doc":"An Ok result.","ref":"OnePiece.Result.html#t:ok/0","title":"OnePiece.Result.ok/0","type":"type"},{"doc":"An Result Tuple.","ref":"OnePiece.Result.html#t:t/0","title":"OnePiece.Result.t/0","type":"type"},{"doc":"Error raised when trying to unwrap an OnePiece.Result.err/0 result.","ref":"OnePiece.Result.ErrUnwrapError.html","title":"OnePiece.Result.ErrUnwrapError","type":"exception"},{"doc":"Convert exception to string.","ref":"OnePiece.Result.ErrUnwrapError.html#message/1","title":"OnePiece.Result.ErrUnwrapError.message/1","type":"function"},{"doc":"","ref":"OnePiece.Result.ErrUnwrapError.html#t:t/0","title":"OnePiece.Result.ErrUnwrapError.t/0","type":"type"},{"doc":"Error raised when trying to OnePiece.Result.expect_ok!/2 or OnePiece.Result.expect_err!/2 .","ref":"OnePiece.Result.ExpectedError.html","title":"OnePiece.Result.ExpectedError","type":"exception"},{"doc":"Convert exception to string.","ref":"OnePiece.Result.ExpectedError.html#message/1","title":"OnePiece.Result.ExpectedError.message/1","type":"function"},{"doc":"","ref":"OnePiece.Result.ExpectedError.html#t:t/0","title":"OnePiece.Result.ExpectedError.t/0","type":"type"},{"doc":"Error raised when trying to unwrap an OnePiece.Result.ok/0 result.","ref":"OnePiece.Result.OkUnwrapError.html","title":"OnePiece.Result.OkUnwrapError","type":"exception"},{"doc":"Convert exception to string.","ref":"OnePiece.Result.OkUnwrapError.html#message/1","title":"OnePiece.Result.OkUnwrapError.message/1","type":"function"},{"doc":"","ref":"OnePiece.Result.OkUnwrapError.html#t:t/0","title":"OnePiece.Result.OkUnwrapError.t/0","type":"type"},{"doc":"Handles OnePiece.Result.t/0 responses. Inspired by Rust std::result::Result package.","ref":"readme.html","title":"OnePiece.Result","type":"extras"},{"doc":"References API Reference","ref":"readme.html#documentation","title":"OnePiece.Result - Documentation","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"Added OnePiece.Result.unwrap/1 .","ref":"changelog.html#v0-4-0-2023-04-26","title":"Changelog - v0.4.0 - 2023-04-26","type":"extras"},{"doc":"Fix typespec of OnePiece.Result.when_err/2 . Fix typespec of OnePiece.Result.when_ok/2 .","ref":"changelog.html#v0-3-1-2022-09-25","title":"Changelog - v0.3.1 - 2022-09-25","type":"extras"},{"doc":"Fix typespec of OnePiece.Result.reject_nil/2 .","ref":"changelog.html#v0-3-1-2022-08-15","title":"Changelog - v0.3.1 - 2022-08-15","type":"extras"},{"doc":"Add support for eager value to OnePiece.Result.map_ok/2","ref":"changelog.html#v0-3-0-2022-07-29","title":"Changelog - v0.3.0 - 2022-07-29","type":"extras"},{"doc":"Add support for eager value to OnePiece.Result.when_ok/2","ref":"changelog.html#v0-2-0-2022-07-27","title":"Changelog - v0.2.0 - 2022-07-27","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2022-06-15","title":"Changelog - v0.1.0 - 2022-06-15","type":"extras"}]